<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Add Note</title>
    <!-- Import Bootstrap -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    {% load static %}
    <link rel="stylesheet" href="{% static 'formstyle.css' %}"/>
</head>

<body>
    <nav class="navbar navbar-expand navbar-light navbar-custom">
        <a class="navbar-brand" href="#">LAB-4</a>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav ml-auto">
              <li class="nav-item active">
                <a class="nav-link" href="/lab-4/">All Messages <span class="sr-only">(current)</span></a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="/lab-4/add-note">Add Note</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="/lab-4/note-list">Cards</a>
              </li>
            </ul>
        </div>
    </nav>
    <div class="title-holder">
        <h1>Add Note</h1>
    </div>
    <div class="form-container">
        <!-- Submit button generates a post request on the corresponding function -->
        <form method="POST" action="">
            <!-- Consisting of alphanumeric code of random secret value 
            to ensure that a server only accept forms that it sent to the user
            -->
            {% csrf_token %}
            <!-- Display Form as table wrapped in <tr> tags, every element 
            will be displayed in a separated row -->
            <table>{{ form.as_table }}</table>
            <button class="btn btn-primary" type="submit" value="submit">Submit</button>
        </form>
    </div>
</body>
</html>

